package edu.harvard.mgh.purcell.gplink.forms;

import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;

import javax.swing.JLabel;

import edu.harvard.mgh.purcell.gplink.base_form.Forms;
import edu.harvard.mgh.purcell.gplink.mainGUI.*;

@SuppressWarnings("serial")
public class IBSdistForm extends Forms {
	
	Forms.myCheckBox ibsDistButton;
	
	public IBSdistForm(MainFrame mf) {
		super(mf, "IBS distances");
	}

	@Override
	protected void createBody() {
		
		body.setLayout(new GridBagLayout());
		GridBagConstraints c = new GridBagConstraints();
		c.fill = GridBagConstraints.HORIZONTAL;
		c.weightx = 1;
		body.add(new JLabel ("Create IBS distance file (--genome)"), c);
		c.gridy = 1;
		body.add(ibsDistButton, c);
		
	}

	@Override
	protected void initalize() {
		ibsDistButton = new myCheckBox("IBS distance matrix (--matrix)");
	}

	@Override
	protected boolean isBodyValid() {
		return true; 
	}

	@Override
	protected String processBody() {
		String ans = "--genome";
		if(ibsDistButton.isSelected()){
			ans += " --matrix --cluster"; 
		}
		return ans;
	}

}
